<nav id="c-circle-nav" class="c-circle-nav">

  <button
      type="button"
      id="c-circle-nav__toggle"
      class="c-circle-nav__toggle"
      (click)="menuClick()"
    >
      <span>Toggle</span>
    </button>

    <div *ngIf="authService.isCook() ; else elseBlock" >
    <ul class="c-circle-nav__items">

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['/']">
          <img src="../../assets/potential_background/home.png"
          alt="login/logout"> <!-- todo:Ivana: dodaj zamenu teksta u zavisnosti je li ulogovan korisnik-->
        </a>
      </li>


      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['jelo']">
          <img src="../../assets/potential_background/serving-dish.png"
          alt="poruci/meni">
         <!-- todo:Ivana: podesi da fejluje otvaranje stranice ukoliko kuvar nije online i onda ovaj zvuk... i mozda neki popup? -->
        </a>

      </li>



      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['jelovnik']">
          <img src="../../assets/potential_background/food-tray.png"
          alt="mapa,kontakt,info">
        </a>
      </li>

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['loginPage']">
          <img src="../../assets/potential_background/login.png"
          alt="registracija">
        </a>
      </li>

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['registerPage']">
          <img src="../../assets/potential_background/user.png"
          alt="nestoPeto">
        </a>
      </li>

    </ul>
    </div>
    <ng-template #elseBlock>

    <ul class="c-circle-nav__items">

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['/']">
          <img src="../../assets/potential_background/home.png"
          alt="login/logout"> <!-- todo:Ivana: dodaj zamenu teksta u zavisnosti je li ulogovan korisnik-->
        </a>
      </li>


      <li class="c-circle-nav__item">
         <a class="c-circle-nav__link" [routerLink]="['dostava']">
          <img src="../../assets/potential_background/delivery.png"
            alt="poruci/meni">
        </a>


      </li>



      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['jelovnik']">
          <img src="../../assets/potential_background/food-tray.png"
          alt="mapa,kontakt,info">
        </a>
      </li>

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['loginPage']">
          <img src="../../assets/potential_background/login.png"
          alt="registracija">
        </a>
      </li>

      <li class="c-circle-nav__item">
        <a class="c-circle-nav__link" [routerLink]="['registerPage']">
          <img src="../../assets/potential_background/user.png"
          alt="nestoPeto">
        </a>
      </li>

    </ul>


      </ng-template>
  </nav>
